Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        GNOME cryptographic key management tool
Name:           gnome-keyring-manager
Version:   	2.20.0
Release:   	1
License: 	GNU/GPL
URL:	  	ftp://ftp.gnome.org
Group:     	Graphical Desktop/GNOME/Base
Source0: 	%{name}-%{version}.tar.bz2
BuildRequires: 	gnome-keyring-devel
BuildRequires: 	libgnomeui-devel
BuildRequires: 	pkg-config
BuildRequires: 	gnome-doc-utils
BuildRequires: 	perl-XML-Parser
BuildRequires: 	gettext
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

Requires(pre): GConf
Requires(preun): GConf
Requires(post): GConf

%description
GNOME Keyring Manager is an application that manages user keyrings.
The default window shows 'default' keyrings with its items, and
allow to remove, add and edit them. You can edit your secrets
and copy them using drag and drop.
The Manager window allow to lock/unlock, create and opening other
keyrings. Items can be moved between different keyrings. 

%prep
%setup -n %{name}-%{version}

%build
%configure \
--sysconfdir=%_sysconfdir/gnome \
--localstatedir=/var/lib \
--disable-scrollkeeper
make

%install
rm -fr $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%find_lang gnome-keyring-manager

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gnome/gconf/schemas/gnome-keyring-manager.schemas > /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gnome-keyring-manager.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gnome/gconf/schemas/gnome-keyring-manager.schemas > /dev/null || :
fi

%files -f gnome-keyring-manager.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*
%{_sysconfdir}/gnome/gconf/schemas/*.schemas
%{_datadir}/gnome-keyring-manager
%{_datadir}/gnome/help/gnome-keyring-manager
%{_datadir}/omf/gnome-keyring-manager
%{_datadir}/man/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Oct 01 2007 Christian Metzen <metzench@ccux-linux.de> 2.20.0-1
- Version update
* Thu Mar 22 2007 Christian Metzen <metzench@ccux-linux.de> 2.18.0-1
- Version update
* Fri Nov 10 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.0-1
- Version update
* Fri Apr 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.14.0-1
- Initial Release
